import javax.swing.*;

public class Bencin {
   /* rekurzivna metoda,
   ki za vsak teden izracuna novo ceno, glede na ceno prejsnjega tedna */
   public static double novaCena(int n, double odstotek, double zacetnaCena) {
      if(n <= 0)
         return zacetnaCena;
      else
         return (1 + odstotek / 100) * novaCena(n - 1, odstotek, zacetnaCena);
   }

   public static void main (String [] args) {

      //vnos podatkov o zacetni ceni, odstotku podrazitve in stevilu tednov
      String beri = JOptionPane.showInputDialog("Vnesi zacetno ceno v EUR:");
      double zacetnaCena = Double.parseDouble(beri);
      beri = JOptionPane.showInputDialog("Vnesi odstotek podrazitve:");
      double odstotek = Double.parseDouble(beri);
      beri = JOptionPane.showInputDialog("Vnesi stevilo tednov:");
      int n = Integer.parseInt(beri);

      //izracun koncne cene po n tednih zaokrozena na cente
      double koncnaCena = Math.round(novaCena(n, odstotek, zacetnaCena) * 100) / 100.0;

      //izpis glede ednine oz. mnozine
      if (n == 1) {
         System.out.println("Zacetna cena " + zacetnaCena + " EUR bo pri " + odstotek +
                        " odstotni podrazitvi, v " + n + " tednu narasla na " +
                        koncnaCena + " EUR.");
      }
      else {
         System.out.println("Zacetna cena " + zacetnaCena + " EUR bo pri " + odstotek +
                        " odstotni podrazitvi, v " + n + " tednih narasla na " +
                        koncnaCena + " EUR.");
      }
   }
}